{$apptype console}

const n = 1000 div 6;
      d = 7;
      maxc = 10000;

var x, y, i: longint;

begin
  randseed := 17;
  writeln(n * 6);
  for i := 1 to n do begin
    x := -maxc + random(2 * maxc - d * 5);
    y := -maxc + random(2 * maxc - d * 2);
    writeln(x, ' ', y + 2 * d);
    writeln(x + d, ' ', y);
    writeln(x + 2 * d, ' ', y + 2 * d);
    writeln(x + 3 * d, ' ', y);
    writeln(x + 4 * d, ' ', y + 2 * d);
    writeln(x + 5 * d, ' ', y);
 end;
end.